GCLOUD_KMS_KEYS_VERSIONS_DESTROY(1)

NAME

gcloud kms keys versions destroy - schedule a version to be destroyed

SYNOPSIS

gcloud kms keys versions destroy VERSION [--key=KEY] [--keyring=KEYRING] [--location=LOCATION] [GLOBAL-FLAG ...]

DESCRIPTION
Schedules the given version for destruction in 24 hours. After that time period passes it is automatically destroyed. Once destroyed, the key material is removed but the version number can not be reused. Only versions which are Enabled or Disabled can be Scheduled for destruction.

POSITIONAL ARGUMENTS

    VERSION
        Name of the version to destroy.

FLAGS

    --key=KEY
        The containing key.

    --keyring=KEYRING
        The containing keyring.

    --location=LOCATION
        The location of the requested resource.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
The following command schedules version 9 of key frodo within keyring fellowship and location us-east1 for destruction:
    $ gcloud kms keys versions destroy 9 --location us-east1 \
        --keyring fellowship --key frodo